Bug 847120 - Unable to build JSS on F17 or newer
Unable to build JSS on F17 or newer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: jss (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christina Fu
Fedora Extras Quality Assurance
:
: 985081 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 14:35 EDT by Endi Sukma Dewata
Modified: 2016-12-20 07:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:17:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Discovers the Linux major.minor versions on the fly (1.61 KB, patch)
2012-09-19 18:16 EDT, Elio Maldonado Batiz
no flags Details | Diff
spec file changes to discover Linux major.minor versions (in patch form) (2.33 KB, patch)
2012-09-21 13:26 EDT, Elio Maldonado Batiz
emaldona: review? (cfu)
Details | Diff
0001-Fixed-build-issue-on-F18.patch (3.20 KB, patch)
2013-07-17 16:39 EDT, Endi Sukma Dewata
no flags Details | Diff
0001-Fixed-build-issue-on-F19.patch (3.27 KB, patch)
2013-07-17 16:40 EDT, Endi Sukma Dewata
no flags Details | Diff
F18 patch rebuilt for rpmbuild (1.12 KB, patch)
2013-07-22 22:36 EDT, Matthew Harmsen
no flags Details | Diff
Revised F18 spec file (441 bytes, patch)
2013-07-22 22:42 EDT, Matthew Harmsen
no flags Details | Diff
F19 patch rebuilt for rpmbuild (1.12 KB, patch)
2013-07-22 22:44 EDT, Matthew Harmsen
no flags Details | Diff
Revised F19 spec file (441 bytes, patch)
2013-07-22 22:46 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Endi Sukma Dewata 2012-08-09 14:35:41 EDT
Building JSS from source RPM failed on F17.

Here is the source RPM: ​http://koji.fedoraproject.org/koji/buildinfo?buildID=310968

Here is the output:

make: Entering directory `/root/rpmbuild/BUILD/jss-4.2.6/mozilla/security/coreconf'
../coreconf/config.mk:71: ../coreconf/Linux3.4.mk: No such file or directory
make: *** No rule to make target ../coreconf/Linux3.4.mk. Stop.
make: *** [../coreconf/Linux3.4.mk] Error 1
make: Leaving directory `/root/rpmbuild/BUILD/jss-4.2.6/mozilla/security/coreconf'
error: Bad exit status from /var/tmp/rpm-tmp.0maqWa (%build)
     
    
RPM build errors:
Bad exit status from /var/tmp/rpm-tmp.0maqWa (%build)

mharmsen provided a fix to jss.spec at line 127:

%if 0%{?fedora} >= 17
cp -p mozilla/security/coreconf/Linux3.2.mk mozilla/security/coreconf/Linux3.4.mk
sed -i -e 's;LINUX3_2;LINUX3_4;' mozilla/security/coreconf/Linux3.4.mk
%endif
Comment 1 Elio Maldonado Batiz 2012-09-19 18:06:49 EDT
This fix won't work because F-17 now has Linux 3.5. The linux version should not be hard-coded as it can be discovered on the fly. This problem may go away or at least be ameliorated one jss updates to the latest release upstream. In the meanttime something needs to be done.
Comment 2 Elio Maldonado Batiz 2012-09-19 18:16:45 EDT
Created attachment 614610 [details]
Discovers the Linux major.minor versions on the fly

Yes, piping multiple times with awk is a bit ugly. Until a someone suggests a cleaner solution this is what I have been using to get around this problem.
Comment 3 Christina Fu 2012-09-19 21:56:31 EDT
looks good to me as long as it works.  As to whether this is good scripting, I am not the best one to judge.  How about run by mharmsen as well?
Comment 4 Elio Maldonado Batiz 2012-09-21 13:26:26 EDT
Created attachment 615532 [details]
spec file changes to discover Linux major.minor versions (in patch form)

This is a temporary fix so it builds F-17 and F-18 until jss gets rebased to the latest upstream version. The latest coreconf has become smarter about the newer linux versions. Execute patch -p1 < nameothepatch.patch to apply it. I have tested it on master, f18, f17, and f16.
Comment 5 Elio Maldonado Batiz 2012-09-24 14:24:48 EDT
(In reply to comment #4)
> it. I have tested it on master, f18, f17, and f16.
As the romans used to say: caveat emptor. This was was mostly tested locally mostly which isn't sufficient. Doing 'fedpkg mockbuild' along with scratch builds is the proper way to test the changes.
Comment 6 Fedora End Of Life 2013-07-03 17:13:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Mat Booth 2013-07-17 04:01:33 EDT
*** Bug 985081 has been marked as a duplicate of this bug. ***
Comment 8 Endi Sukma Dewata 2013-07-17 16:38:38 EDT
nkinder suggested that as a short term solution we should use the Linux2.6.mk for all Linux kernels >= 2.6 to match the kernel used by the build system.
Comment 9 Endi Sukma Dewata 2013-07-17 16:39:47 EDT
Created attachment 774954 [details]
0001-Fixed-build-issue-on-F18.patch
Comment 10 Endi Sukma Dewata 2013-07-17 16:40:33 EDT
Created attachment 774955 [details]
0001-Fixed-build-issue-on-F19.patch
Comment 11 Matthew Harmsen 2013-07-22 22:36:33 EDT
Created attachment 777141 [details]
F18 patch rebuilt for rpmbuild

Using an unpacked 'jss-4.2.6-26.fc18.src.rpm' from Koji, I was unable to apply the 'git-based' patch when using rpmbuild on a Fedora 18 machine, so the patch was recreated using 'diff -rupN'.
Comment 12 Matthew Harmsen 2013-07-22 22:42:32 EDT
Created attachment 777143 [details]
Revised F18 spec file

The spec file in the original patch contained the following errors:
* the following changelog appears to be from Fedora 19 only:
  * Wed Dec 12 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 4.2.6-27
  - Simple rebuild
* version should be '27' instead of '28'
* 'Wed Feb 17' should be 'Wed Jul 17'
Comment 13 Matthew Harmsen 2013-07-22 22:44:11 EDT
Created attachment 777144 [details]
F19 patch rebuilt for rpmbuild

Using an unpacked 'jss-4.2.6-29.fc19.src.rpm' from Koji, I was unable to apply the 'git-based' patch when using rpmbuild on a Fedora 19 machine, so the patch was recreated using 'diff -rupN'.
Comment 14 Matthew Harmsen 2013-07-22 22:46:51 EDT
Created attachment 777145 [details]
Revised F19 spec file

The spec file in the original patch contained the following errors:
* 'Wed Feb 17' should be 'Wed Jul 17'
Comment 15 Fedora Update System 2013-07-23 19:34:37 EDT
jss-4.2.6-28.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jss-4.2.6-28.fc18
Comment 16 Fedora Update System 2013-07-23 19:38:08 EDT
jss-4.2.6-30.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jss-4.2.6-30.fc19
Comment 17 Fedora Update System 2013-07-25 20:32:37 EDT
jss-4.2.6-28.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-07-25 20:33:58 EDT
jss-4.2.6-30.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Jan Kurik 2015-07-15 11:04:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 20 Fedora End Of Life 2016-11-24 05:43:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2016-12-20 07:17:12 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.